Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface CMSPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CMSPackageImpl

    public interface CMSPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

The schema for OASIS ebXML Registry Information Model See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change. The schema for OASIS ebXML Registry Services

See Also:
  `CMSFactory`

Nested Class Summary
`static interface` | `CMSPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CATALOG_CONTENT_REQUEST_TYPE` The meta object id for the '`Catalog Content Request Type`' class.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE` The feature id for the 'Invocation Control File' containment reference list.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT` The feature id for the 'Original Content' containment reference.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `CATALOG_CONTENT_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Catalog Content Request Type' class.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE` The meta object id for the '`Catalog Content Response Type`' class.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT` The feature id for the 'Cataloged Content' containment reference.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The feature id for the 'Response Slot List' containment reference.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `CATALOG_CONTENT_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Catalog Content Response Type' class.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE` The meta object id for the '`Content Management Service Request Type`' class.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE` The feature id for the 'Invocation Control File' containment reference list.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT` The feature id for the 'Original Content' containment reference.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Content Management Service Request Type' class.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE` The meta object id for the '`Content Management Service Response Type`' class.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The feature id for the 'Response Slot List' containment reference.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Content Management Service Response Type' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST` The feature id for the 'Catalog Content Request' containment reference.
`static int` | `DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE` The feature id for the 'Catalog Content Response' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST` The feature id for the 'Validate Content Request' containment reference.
`static int` | `DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE` The feature id for the 'Validate Content Response' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static CMSPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE` The meta object id for the '`Validate Content Request Type`' class.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE__COMMENT` The feature id for the 'Comment' attribute.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE__ID` The feature id for the 'Id' attribute.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE` The feature id for the 'Invocation Control File' containment reference list.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT` The feature id for the 'Original Content' containment reference.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST` The feature id for the 'Request Slot List' containment reference.
`static int` | `VALIDATE_CONTENT_REQUEST_TYPE_FEATURE_COUNT` The number of structural features of the 'Validate Content Request Type' class.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE` The meta object id for the '`Validate Content Response Type`' class.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The feature id for the 'Registry Error List' containment reference.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE__REQUEST_ID` The feature id for the 'Request Id' attribute.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The feature id for the 'Response Slot List' containment reference.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE__STATUS` The feature id for the 'Status' attribute.
`static int` | `VALIDATE_CONTENT_RESPONSE_TYPE_FEATURE_COUNT` The number of structural features of the 'Validate Content Response Type' class.

Method Summary
`org.eclipse.emf.ecore.EClass` | `getCatalogContentRequestType()` Returns the meta object for class '`Catalog Content Request Type`'.
`org.eclipse.emf.ecore.EReference` | `getCatalogContentResponseType_CatalogedContent()` Returns the meta object for the containment reference '`Cataloged Content`'.
`org.eclipse.emf.ecore.EClass` | `getCatalogContentResponseType()` Returns the meta object for class '`Catalog Content Response Type`'.
`CMSFactory` | `getCMSFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getContentManagementServiceRequestType_InvocationControlFile()` Returns the meta object for the containment reference list '`Invocation Control File`'.
`org.eclipse.emf.ecore.EReference` | `getContentManagementServiceRequestType_OriginalContent()` Returns the meta object for the containment reference '`Original Content`'.
`org.eclipse.emf.ecore.EClass` | `getContentManagementServiceRequestType()` Returns the meta object for class '`Content Management Service Request Type`'.
`org.eclipse.emf.ecore.EClass` | `getContentManagementServiceResponseType()` Returns the meta object for class '`Content Management Service Response Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CatalogContentRequest()` Returns the meta object for the containment reference '`Catalog Content Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CatalogContentResponse()` Returns the meta object for the containment reference '`Catalog Content Response`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValidateContentRequest()` Returns the meta object for the containment reference '`Validate Content Request`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValidateContentResponse()` Returns the meta object for the containment reference '`Validate Content Response`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EClass` | `getValidateContentRequestType()` Returns the meta object for class '`Validate Content Request Type`'.
`org.eclipse.emf.ecore.EClass` | `getValidateContentResponseType()` Returns the meta object for class '`Validate Content Response Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final CMSPackage eINSTANCE

  The singleton instance of the package.

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE

  The meta object id for the '`Content Management Service Request Type`' class.

  See Also:
    `ContentManagementServiceRequestTypeImpl`, `CMSPackageImpl.getContentManagementServiceRequestType()`, Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__COMMENT

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ID

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT

  The feature id for the 'Original Content' containment reference.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE

  The feature id for the 'Invocation Control File' containment reference list.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE_FEATURE_COUNT

    static final int CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Content Management Service Request Type' class.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE

    static final int CATALOG_CONTENT_REQUEST_TYPE

  The meta object id for the '`Catalog Content Request Type`' class.

  See Also:
    `CatalogContentRequestTypeImpl`, `CMSPackageImpl.getCatalogContentRequestType()`, Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int CATALOG_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE__COMMENT

    static final int CATALOG_CONTENT_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE__ID

    static final int CATALOG_CONTENT_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT

    static final int CATALOG_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT

  The feature id for the 'Original Content' containment reference.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE

    static final int CATALOG_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE

  The feature id for the 'Invocation Control File' containment reference list.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_REQUEST_TYPE_FEATURE_COUNT

    static final int CATALOG_CONTENT_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Catalog Content Request Type' class.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE

  The meta object id for the '`Content Management Service Response Type`' class.

  See Also:
    `ContentManagementServiceResponseTypeImpl`, `CMSPackageImpl.getContentManagementServiceResponseType()`, Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The feature id for the 'Response Slot List' containment reference.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REQUEST_ID

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__STATUS

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE_FEATURE_COUNT

    static final int CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Content Management Service Response Type' class.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE

    static final int CATALOG_CONTENT_RESPONSE_TYPE

  The meta object id for the '`Catalog Content Response Type`' class.

  See Also:
    `CatalogContentResponseTypeImpl`, `CMSPackageImpl.getCatalogContentResponseType()`, Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final int CATALOG_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The feature id for the 'Response Slot List' containment reference.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int CATALOG_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE__REQUEST_ID

    static final int CATALOG_CONTENT_RESPONSE_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE__STATUS

    static final int CATALOG_CONTENT_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT

    static final int CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT

  The feature id for the 'Cataloged Content' containment reference.

  See Also:
    Constant Field Values

### CATALOG_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

    static final int CATALOG_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Catalog Content Response Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `CMSPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST

    static final int DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST

  The feature id for the 'Catalog Content Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE

    static final int DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE

  The feature id for the 'Catalog Content Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST

    static final int DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST

  The feature id for the 'Validate Content Request' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE

    static final int DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE

  The feature id for the 'Validate Content Response' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE

    static final int VALIDATE_CONTENT_REQUEST_TYPE

  The meta object id for the '`Validate Content Request Type`' class.

  See Also:
    `ValidateContentRequestTypeImpl`, `CMSPackageImpl.getValidateContentRequestType()`, Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final int VALIDATE_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST

  The feature id for the 'Request Slot List' containment reference.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE__COMMENT

    static final int VALIDATE_CONTENT_REQUEST_TYPE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE__ID

    static final int VALIDATE_CONTENT_REQUEST_TYPE__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT

    static final int VALIDATE_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT

  The feature id for the 'Original Content' containment reference.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE

    static final int VALIDATE_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE

  The feature id for the 'Invocation Control File' containment reference list.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_REQUEST_TYPE_FEATURE_COUNT

    static final int VALIDATE_CONTENT_REQUEST_TYPE_FEATURE_COUNT

  The number of structural features of the 'Validate Content Request Type' class.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE

    static final int VALIDATE_CONTENT_RESPONSE_TYPE

  The meta object id for the '`Validate Content Response Type`' class.

  See Also:
    `ValidateContentResponseTypeImpl`, `CMSPackageImpl.getValidateContentResponseType()`, Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final int VALIDATE_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The feature id for the 'Response Slot List' containment reference.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final int VALIDATE_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The feature id for the 'Registry Error List' containment reference.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE__REQUEST_ID

    static final int VALIDATE_CONTENT_RESPONSE_TYPE__REQUEST_ID

  The feature id for the 'Request Id' attribute.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE__STATUS

    static final int VALIDATE_CONTENT_RESPONSE_TYPE__STATUS

  The feature id for the 'Status' attribute.

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

    static final int VALIDATE_CONTENT_RESPONSE_TYPE_FEATURE_COUNT

  The number of structural features of the 'Validate Content Response Type' class.

  See Also:
    Constant Field Values

Method Detail

### getCatalogContentRequestType

    org.eclipse.emf.ecore.EClass getCatalogContentRequestType()

  Returns the meta object for class '`Catalog Content Request Type`'.

  Returns:
    the meta object for class 'Catalog Content Request Type'.
  See Also:
    `CatalogContentRequestType`

### getCatalogContentResponseType

    org.eclipse.emf.ecore.EClass getCatalogContentResponseType()

  Returns the meta object for class '`Catalog Content Response Type`'.

  Returns:
    the meta object for class 'Catalog Content Response Type'.
  See Also:
    `CatalogContentResponseType`

### getCatalogContentResponseType_CatalogedContent

    org.eclipse.emf.ecore.EReference getCatalogContentResponseType_CatalogedContent()

  Returns the meta object for the containment reference '`Cataloged Content`'.

  Returns:
    the meta object for the containment reference 'Cataloged Content'.
  See Also:
    `CatalogContentResponseType.getCatalogedContent()`, `getCatalogContentResponseType()`

### getContentManagementServiceRequestType

    org.eclipse.emf.ecore.EClass getContentManagementServiceRequestType()

  Returns the meta object for class '`Content Management Service Request Type`'.

  Returns:
    the meta object for class 'Content Management Service Request Type'.
  See Also:
    `ContentManagementServiceRequestType`

### getContentManagementServiceRequestType_OriginalContent

    org.eclipse.emf.ecore.EReference getContentManagementServiceRequestType_OriginalContent()

  Returns the meta object for the containment reference '`Original Content`'.

  Returns:
    the meta object for the containment reference 'Original Content'.
  See Also:
    `ContentManagementServiceRequestType.getOriginalContent()`, `getContentManagementServiceRequestType()`

### getContentManagementServiceRequestType_InvocationControlFile

    org.eclipse.emf.ecore.EReference getContentManagementServiceRequestType_InvocationControlFile()

  Returns the meta object for the containment reference list '`Invocation Control File`'.

  Returns:
    the meta object for the containment reference list 'Invocation Control File'.
  See Also:
    `ContentManagementServiceRequestType.getInvocationControlFile()`, `getContentManagementServiceRequestType()`

### getContentManagementServiceResponseType

    org.eclipse.emf.ecore.EClass getContentManagementServiceResponseType()

  Returns the meta object for class '`Content Management Service Response Type`'.

  Returns:
    the meta object for class 'Content Management Service Response Type'.
  See Also:
    `ContentManagementServiceResponseType`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_CatalogContentRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_CatalogContentRequest()

  Returns the meta object for the containment reference '`Catalog Content Request`'.

  Returns:
    the meta object for the containment reference 'Catalog Content Request'.
  See Also:
    `DocumentRoot.getCatalogContentRequest()`, `getDocumentRoot()`

### getDocumentRoot_CatalogContentResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_CatalogContentResponse()

  Returns the meta object for the containment reference '`Catalog Content Response`'.

  Returns:
    the meta object for the containment reference 'Catalog Content Response'.
  See Also:
    `DocumentRoot.getCatalogContentResponse()`, `getDocumentRoot()`

### getDocumentRoot_ValidateContentRequest

    org.eclipse.emf.ecore.EReference getDocumentRoot_ValidateContentRequest()

  Returns the meta object for the containment reference '`Validate Content Request`'.

  Returns:
    the meta object for the containment reference 'Validate Content Request'.
  See Also:
    `DocumentRoot.getValidateContentRequest()`, `getDocumentRoot()`

### getDocumentRoot_ValidateContentResponse

    org.eclipse.emf.ecore.EReference getDocumentRoot_ValidateContentResponse()

  Returns the meta object for the containment reference '`Validate Content Response`'.

  Returns:
    the meta object for the containment reference 'Validate Content Response'.
  See Also:
    `DocumentRoot.getValidateContentResponse()`, `getDocumentRoot()`

### getValidateContentRequestType

    org.eclipse.emf.ecore.EClass getValidateContentRequestType()

  Returns the meta object for class '`Validate Content Request Type`'.

  Returns:
    the meta object for class 'Validate Content Request Type'.
  See Also:
    `ValidateContentRequestType`

### getValidateContentResponseType

    org.eclipse.emf.ecore.EClass getValidateContentResponseType()

  Returns the meta object for class '`Validate Content Response Type`'.

  Returns:
    the meta object for class 'Validate Content Response Type'.
  See Also:
    `ValidateContentResponseType`

### getCMSFactory

    CMSFactory getCMSFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD